using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot(ElementName = "Transfer")]
    public class VisitorToOuterRequest: INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public VisitorToOuterVisitor Visitor { get; set; }

        [XmlElement("outer")]
        public VisitorToOuterOuter Outer { get; set; }
    }

    public class VisitorToOuterVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VisitorToOuterOuter
    {
        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("display")]
        public string Display { get; set; }
    }

}
